Bellwork
Head start programsProgramid

Get Head Start program details

One Head Start program with its sites, the delegate agencies under a grant recipient, and its people. Served whole on every plan.

GET
/head-start-programs/{programId}

One Head Start program with its sites, the delegate agencies under a grant recipient, and its people. Served whole on every plan.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Path Parameters

programId*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/head-start-programs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "slug": "string",
  "name": "string",
  "grant_number": "string",
  "delegate_number": "string",
  "parent_program_id": "550e8400-e29b-41d4-a716-446655440000",
  "parent_program_name": "string",
  "recipient_name": "string",
  "state": "string",
  "physical_address": "string",
  "physical_city": "string",
  "physical_zip": "string",
  "county": "string",
  "phone": "string",
  "website_url": "string",
  "email": "string",
  "district_id": "550e8400-e29b-41d4-a716-446655440000",
  "district_name": "string",
  "program_types": [
    "head_start"
  ],
  "funded_slots": -9007199254740991,
  "open_site_count": -9007199254740991,
  "site_count": -9007199254740991,
  "status": "active",
  "grant_amount": 0,
  "grant_start": "string",
  "grant_end": "string",
  "source_url": "string",
  "source_version": "string",
  "sites": [
    {
      "name": "string",
      "address": "string",
      "city": "string",
      "state": "string",
      "zip": "string",
      "county": "string",
      "latitude": 0,
      "longitude": 0,
      "funded_slots": -9007199254740991,
      "status": "open",
      "program_type": "head_start",
      "phone": "string"
    }
  ],
  "delegates": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "slug": "string",
      "name": "string",
      "grant_number": "string",
      "delegate_number": "string",
      "parent_program_id": "550e8400-e29b-41d4-a716-446655440000",
      "parent_program_name": "string",
      "recipient_name": "string",
      "state": "string",
      "physical_address": "string",
      "physical_city": "string",
      "physical_zip": "string",
      "county": "string",
      "phone": "string",
      "website_url": "string",
      "email": "string",
      "district_id": "550e8400-e29b-41d4-a716-446655440000",
      "district_name": "string",
      "program_types": [
        "head_start"
      ],
      "funded_slots": -9007199254740991,
      "open_site_count": -9007199254740991,
      "site_count": -9007199254740991,
      "status": "active",
      "grant_amount": 0,
      "grant_start": "string",
      "grant_end": "string",
      "source_url": "string",
      "source_version": "string"
    }
  ],
  "people": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "string",
      "title": "string",
      "redacted": true
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
Empty